Name:           python-paasta-tools
Version:        1.26.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tools for Yelps SOA infrastructure

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            ...
Source:         %{pypi_source paasta_tools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'paasta-tools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-paasta-tools
Summary:        %{summary}

%description -n python3-paasta-tools %_description


%prep
%autosetup -p1 -n paasta_tools-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-paasta-tools -f %{pyproject_files}


%changelog
%autochangelog